package br.pucrs.ages.victims.auth.domain.dto

import com.fasterxml.jackson.annotation.JsonFormat
import java.time.LocalDateTime
import java.util.*

data class InviteDto(
    val id: UUID,
    val receiverEmail: String,
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    val creationDate: LocalDateTime,
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    val expirationDate: LocalDateTime,
    val active: Boolean
)
