package br.pucrs.ages.victims.auth.web.representation.request

import jakarta.validation.constraints.NotBlank
import jakarta.validation.constraints.Size

class LoginRequestModel(
    @field:NotBlank(message = "O username é obrigatório")
    val username: String = "",

    @field:NotBlank(message = "A senha é obrigatória")
    @field:Size(min = 8, max = 255, message = "A senha deve ter entre 8 e 255 caracteres")
    val password: String = ""
)