package br.pucrs.ages.victims.auth.config.security.jwt

import br.pucrs.ages.victims.auth.config.security.principal.KeycloakPrincipal
import org.springframework.core.convert.converter.Converter
import org.springframework.security.oauth2.jwt.Jwt

class TokenConverter : Converter<Jwt, Token> {
    override fun convert(jwt: Jwt): Token {
        val principal = KeycloakPrincipal.fromJwt(jwt)
        return Token(jwt, principal)
    }
}