package br.pucrs.ages.victims.auth.exception

import org.springframework.http.HttpStatus

class AuthenticationException(
    override val message: String = "User not authenticated",
    override val status: HttpStatus = HttpStatus.UNAUTHORIZED,
    override val stack: List<String> = Thread.currentThread().stackTrace.map { it.toString() }
) : RuntimeException(message), RestException