package br.pucrs.ages.victims.auth.exception

import org.springframework.http.HttpStatus

class AuthorizationException(
    override val message: String = "User not authorized",
    override val status: HttpStatus = HttpStatus.FORBIDDEN,
    override val stack: List<String> = Thread.currentThread().stackTrace.map { it.toString() }
) : RuntimeException(message), RestException