package br.pucrs.ages.victims.auth.exception

import org.springframework.http.HttpStatus

class ExistingResourceException(
        override val message: String = "",
        override val status: HttpStatus = HttpStatus.CONFLICT,
        override val stack: List<String> = Thread.currentThread().stackTrace.map { it.toString() }
) : RuntimeException(message), RestException