package br.pucrs.ages.victims.auth.fixtures

import br.pucrs.ages.victims.auth.domain.dto.InviteDto
import java.time.LocalDateTime
import java.util.UUID

private const val VALID_INVITE_MINUTES = 30L

fun anInviteDto(
    id: UUID = UUID.randomUUID(),
    receiverEmail: String = "test@gmail.com",
    creationDate: LocalDateTime = LocalDateTime.now(),
    expirationDate: LocalDateTime = LocalDateTime.now().plusMinutes(VALID_INVITE_MINUTES),
    active: Boolean = true
) = InviteDto(
    id = id,
    receiverEmail = receiverEmail,
    creationDate = creationDate,
    expirationDate = expirationDate,
    active = active
)