package br.pucrs.ages.victims.auth.fixtures

import br.pucrs.ages.victims.auth.config.security.principal.KeycloakPrincipal
import br.pucrs.ages.victims.auth.domain.User

fun aUserPrincipal(
    user: User = aUser(),
    roles: Set<String> = emptySet()
): KeycloakPrincipal {
    return KeycloakPrincipal(
        id = user.id,
        email = user.email,
        username = user.cpf,
        roles = roles
    )
}